//-----------------------------------------------------------------------------
//
//	Musepack Decoder
//
//	Author : Igor Janos
//
//-----------------------------------------------------------------------------
#pragma once

// {555C4774-101E-49d7-8EEC-B9B87F8E1905}
static const GUID CLSID_MusepackDecoder = 
{ 0x555c4774, 0x101e, 0x49d7, { 0x8e, 0xec, 0xb9, 0xb8, 0x7f, 0x8e, 0x19, 0x5 } };

// {9024FA6B-7751-4ea7-B575-393B472434EF}
static const GUID CLSID_MusepackDecoderPage = 
{ 0x9024fa6b, 0x7751, 0x4ea7, { 0xb5, 0x75, 0x39, 0x3b, 0x47, 0x24, 0x34, 0xef } };

// {6F57DAB6-C800-4c81-B547-4ED6CC34EDE9}
static const GUID IID_IMusepackDecoder = 
{ 0x6f57dab6, 0xc800, 0x4c81, { 0xb5, 0x47, 0x4e, 0xd6, 0xcc, 0x34, 0xed, 0xe9 } };


//-----------------------------------------------------------------------------
//
//	Custom Media Types
//
//-----------------------------------------------------------------------------

// {0D2657B6-13B3-4c9b-AC9F-2EE055C51755}
static const GUID MEDIASUBTYPE_MusepackPacket = 
{ 0xd2657b6, 0x13b3, 0x4c9b, { 0xac, 0x9f, 0x2e, 0xe0, 0x55, 0xc5, 0x17, 0x55 } };


DECLARE_INTERFACE_(IMusepackDecoder, IUnknown)
{
	STDMETHOD(GetStreamVersion)(int *version);
	STDMETHOD(GetSamplerate)(int *samplerate);
	STDMETHOD(GetChannels)(int *channels);
	STDMETHOD(GetReplaygain)(float *gain);
	STDMETHOD(GetBitrate)(float *bitrate);
	STDMETHOD(GetFramesDecoded)(__int64 *frames);
};






